classification
Title: Distutils Metadata Documentation Missing "platforms" Keyword
Type: Stage:
Components: Documentation Versions: Python 3.0, Python 3.1, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, hodgestar, loewis
Priority: normal Keywords: patch

Created on 2008-11-27 13:50 by hodgestar, last changed 2008-12-15 08:34 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
distutils-platforms-keyword-documentation.diff hodgestar, 2008-11-27 13:50
Messages (3)
msg76499 - (view) Author: Simon Cross (hodgestar) Date: 2008-11-27 13:50
The section on Additional meta-data in Doc/distutils/setupscript.rst is
missing any reference to the setup() "platforms" keyword. I've attached
a patch which fills in the basics but there are some outstanding questions:

 - Does note (4) about backwards compatibility with earlier versions of
Python apply?

 - What strings should be used to describe each platform? Perhaps any
final element of an "Operating System ::" trove classifier?

 - Given that we have the classifiers, is the "platforms" keyword
actually needed? Perhaps the docs should just mark it as deprecated? We
would then maybe need to change distutils to populate the platforms key
in PKG-INFO from the classifiers?
msg77731 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-12-13 14:08
Thanks for the patch. Committed for 2.5 as r67731; integration into the
other branches still needs to happen.
msg77850 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-12-15 08:34
Done in r67784.
History
Date User Action Args
2008-12-15 08:34:06georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg77850
2008-12-13 14:08:24loewissetpriority: release blocker -> normal
assignee: loewis -> georg.brandl
messages: + msg77731
versions: - Python 2.5, Python 2.5.3
2008-12-10 08:50:31loewissetpriority: release blocker
2008-11-27 17:08:44georg.brandlsetassignee: georg.brandl -> loewis
nosy: + loewis
2008-11-27 13:50:38hodgestarcreate